{block name='basket-freegift-hint'}
    {$context = $context|default:'default'}
    {$cssClass = $cssClass|default:''}
    {$freeGiftService = JTL\Shop::Container()->getFreeGiftService()}
    {if $Einstellungen.sonstiges.sonstiges_gratisgeschenk_wk_hinweis_anzeigen === 'Y'
    && $Einstellungen.sonstiges.sonstiges_gratisgeschenk_nutzen === 'Y'
    && $freeGiftService->getFreeGifts()->count() > 0}
        {if $freeGiftService->basketHoldsFreeGift(JTL\Session\Frontend::getCart()) === false}
            <div class="et-basket-freegift-hint et-basket-freegift-hint-context-{$context}{if !empty($cssClass)} {$cssClass}{/if}">
                {block name='et-basket-freegift-hint-available-title'}
                    <div class="et-basket-freegift-hint-available-title">
                        <i class="{et_getIcon key="freegift"}"></i>
                        {if !empty($oSpezialseiten_arr) && isset($oSpezialseiten_arr[$smarty.const.LINKTYP_GRATISGESCHENK])}
                            <a href="{$oSpezialseiten_arr[$smarty.const.LINKTYP_GRATISGESCHENK]->getURL()}" title="{lang key='freeGiftsSeeAll' section='basket'}">
                        {/if}
                            {lang key='freeGiftsAvailable' section='basket'}
                        {if !empty($oSpezialseiten_arr) && isset($oSpezialseiten_arr[$smarty.const.LINKTYP_GRATISGESCHENK])}
                            </a>
                        {/if}
                    </div>
                {/block}

                {block name='et-basket-freegift-hint-available-text'}
                    <div class="et-basket-freegift-hint-available-text">
                        {lang section='basket' key='freeGiftsAvailableText'}<br/>
                        <a href="{get_static_route id='warenkorb.php'}#freeGiftsHeading" title="{lang section='basket' key='chooseFreeGiftNow'}">{lang section='basket' key='chooseFreeGiftNow'}</a>
                    </div>
                {/block}

                {block name='basket-freegift-hint-still-missing-amount'}
                    {if $Einstellungen.sonstiges.sonstiges_gratisgeschenk_noch_nicht_verfuegbar_anzeigen === 'Y'
                    && !empty($nextFreeGiftMissingAmount)}
                        <div class="et-basket-freegift-hint-still-missing-amount">{lang section='basket' key='freeGiftsStillMissingAmountForNextFreeGift' printf=JTL\Catalog\Product\Preise::getLocalizedPriceString($nextFreeGiftMissingAmount)}</div>
                    {/if}
                {/block}
            </div>
        {/if}
    {/if}
{/block}
