{block name='basket-cart-dropdown-label'}
    {et_isShopVersionAtLeast value="5.4.0-rc.1" assign='shopIsAtLeast54'}
    {$idPostFix=$idPostFix|default:''}
    {if $shopIsAtLeast54}
        {* Since 5.4.0, the Smarty variable has been renamed (although the old name still exists, it is assigned deprecatedly) *}
        {$cartProductCount = $WarenkorbArtikelAnzahl}
    {else}
        {$cartProductCount = $WarenkorbArtikelPositionenanzahl}
    {/if}
    <div class="cart-icon-dropdown nav-item dropdown {if $cartProductCount != 0}not-empty{/if}">
        {block name='basket-cart-dropdown-label-link'}
            <a class='nav-link' aria-expanded="false" aria-label="{lang key='basket'}" data-toggle="dropdown" role="button">
                {block name='basket-cart-dropdown-label-count'}
                    <i class='{et_getIcon key='basket'} cart-icon-dropdown-icon'>
                        {if $cartProductCount >= 1}
                            <span class="et-count-badge" title="{$cartProductCount}">
                                {$cartProductCount}
                            </span>
                        {/if}
                    </i>
                {/block}
                {block name='basket-cart-dropdown-labelprice'}
                    <span class="cart-icon-dropdown-price">{$WarensummeLocalized[0]}</span>
                {/block}
            </a>
        {/block}
        {block name='basket-cart-dropdown-label-include-cart-dropdown'}
            {include file='basket/cart_dropdown.tpl' idPostFix=$idPostFix}
        {/block}
    </div>
{/block}
